Skip to main content
POST
/
apply
/
api
/
{token}
Submit a job application
curl --request POST \
  --url https://jobaffinity.fr/restapi/v1/apply/api/{token} \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": "1.2",
  "first_name": "John",
  "last_name": "Doe",
  "title": "MR",
  "email": "john@doe.email",
  "mobile_phone": "+33 6 55-55-55-55",
  "address": "1 rue Champs Bon",
  "zip_code": "75001",
  "town": "Paris",
  "country": "FR",
  "cv": {
    "name": "cv.pdf",
    "mime_type": "application/pdf",
    "content": "RG9jdW1lbnQgY29udGVudA==\n"
  }
}
'

Path Parameters

token
string
required

Authentication token embedded in the apply URL provided by the job feed

Body

application/json

Candidate application payload for the job apply API (version 1.2). Send as a JSON body via POST to the apply_url provided in the job feed.

version
string
required

Schema version. Must be "1" or any "1.x" value.

Pattern: ^1(\.\d+)?$
Example:

"1.2"

first_name
string
required

Candidate's first name.

Maximum string length: 50
Example:

"John"

last_name
string
required

Candidate's last name.

Maximum string length: 50
Example:

"Doe"

email
string<email>
required

Candidate's email address.

Maximum string length: 100
Example:

"john@doe.site"

country
string
required

Country where the candidate lives. Must be an ISO 3166-1 alpha-2 code.

Maximum string length: 2
Example:

"FR"

title
enum<string>

Candidate's title. New in version 1.1.

Available options:
UNKNOWN,
MR,
MS,
MRS,
MISS
Example:

"MR"

url_linkedin
string<uri>

URL of the candidate's LinkedIn profile page. New in version 1.2.

Maximum string length: 255
Example:

"https://www.linkedin.com/in/username/"

office_phone
string

Candidate's office phone number.

Maximum string length: 30
Example:

"+33 1 55-55-55-55"

mobile_phone
string

Candidate's mobile phone number.

Maximum string length: 30
Example:

"+33 6 55-55-55-55"

home_phone
string

Candidate's home phone number.

Maximum string length: 30
Example:

"+33 9 55-55-55-55"

address
string

Candidate's street address.

Maximum string length: 150
Example:

"1 rue Champs Bon"

zip_code
string

Candidate's postal code.

Maximum string length: 15
Example:

"75001"

town
string

Town where the candidate lives.

Maximum string length: 30
Example:

"Paris"

availability
enum<string>

When the candidate is available for a new position. Use "date" to specify an exact date via availability_date.

Available options:
now,
15d,
1m,
2m,
3m,
>3m,
ope,
na,
date
Example:

"now"

availability_date
string<date>

Specific availability date. Only used when availability is "date". Must be a future ISO 8601 date.

Example:

"2030-01-10"

cv
object

CV document of the candidate. Required if cv_required is true for this job in the job feed.

cover
object

Cover letter document of the candidate. Required if cover_required is true for this job in the job feed. Can also be used to provide any raw candidate information such as assessments.

Response

Application submitted successfully